Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrancois Chouinard2012-03-22 20:03:52 +0000
committerFrancois Chouinard2012-03-22 20:03:52 +0000
commitcf924078bf0c597a7350269f855fe02d39cc4b0b (patch)
tree03fd22ffbbc9dd746c8f1d63e1cc8c7b11bef32e
parent83f72f33b0b449b5c2e0fced83d8ce7895f40959 (diff)
downloadorg.eclipse.linuxtools-cf924078bf0c597a7350269f855fe02d39cc4b0b.tar.gz
org.eclipse.linuxtools-cf924078bf0c597a7350269f855fe02d39cc4b0b.tar.xz
org.eclipse.linuxtools-cf924078bf0c597a7350269f855fe02d39cc4b0b.zip
Fix for Bug375082
-rw-r--r--lttng/org.eclipse.linuxtools.ctf.core.tests/META-INF/MANIFEST.MF10
-rw-r--r--lttng/org.eclipse.linuxtools.ctf.core.tests/build.properties3
-rw-r--r--lttng/org.eclipse.linuxtools.ctf.core/META-INF/MANIFEST.MF13
-rw-r--r--lttng/org.eclipse.linuxtools.ctf.parser/META-INF/MANIFEST.MF7
-rw-r--r--lttng/org.eclipse.linuxtools.lttng.core.tests/META-INF/MANIFEST.MF12
-rw-r--r--lttng/org.eclipse.linuxtools.lttng.core/META-INF/MANIFEST.MF10
-rw-r--r--lttng/org.eclipse.linuxtools.lttng.help/META-INF/MANIFEST.MF6
-rw-r--r--lttng/org.eclipse.linuxtools.lttng.jni/META-INF/MANIFEST.MF8
-rw-r--r--lttng/org.eclipse.linuxtools.lttng.ui.tests/META-INF/MANIFEST.MF11
-rw-r--r--lttng/org.eclipse.linuxtools.lttng.ui/META-INF/MANIFEST.MF10
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.core.tests/META-INF/MANIFEST.MF10
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.core/META-INF/MANIFEST.MF10
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.kernel.core.tests/META-INF/MANIFEST.MF10
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.kernel.core/META-INF/MANIFEST.MF12
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.kernel.ui.tests/META-INF/MANIFEST.MF15
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.kernel.ui/META-INF/MANIFEST.MF11
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.ui.tests/META-INF/MANIFEST.MF15
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.ui/META-INF/MANIFEST.MF11
-rw-r--r--lttng/org.eclipse.linuxtools.tmf.core.tests/META-INF/MANIFEST.MF10
-rw-r--r--lttng/org.eclipse.linuxtools.tmf.core/META-INF/MANIFEST.MF14
-rw-r--r--lttng/org.eclipse.linuxtools.tmf.ui.tests/META-INF/MANIFEST.MF10
-rw-r--r--lttng/org.eclipse.linuxtools.tmf.ui/META-INF/MANIFEST.MF10
22 files changed, 111 insertions, 117 deletions
diff --git a/lttng/org.eclipse.linuxtools.ctf.core.tests/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.ctf.core.tests/META-INF/MANIFEST.MF
index 1ce09d696e..f4639b19ad 100644
--- a/lttng/org.eclipse.linuxtools.ctf.core.tests/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.ctf.core.tests/META-INF/MANIFEST.MF
@@ -1,13 +1,13 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.ctf.core.tests
+Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.1.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.ctf.core.tests
+Bundle-Activator: org.eclipse.linuxtools.ctf.core.tests.CtfCoreTestPlugin
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.junit4;bundle-version="4.8.1",
org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.linuxtools.ctf.core,
org.antlr.runtime;bundle-version="3.2.0"
-Bundle-ClassPath: .
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Bundle-Vendor: %Bundle-Vendor
-Bundle-Activator: org.eclipse.linuxtools.ctf.core.tests.CtfCoreTestPlugin
diff --git a/lttng/org.eclipse.linuxtools.ctf.core.tests/build.properties b/lttng/org.eclipse.linuxtools.ctf.core.tests/build.properties
index b9fc254dd6..a83114096e 100644
--- a/lttng/org.eclipse.linuxtools.ctf.core.tests/build.properties
+++ b/lttng/org.eclipse.linuxtools.ctf.core.tests/build.properties
@@ -1,7 +1,4 @@
-source.. = src/,\
- Tests/
output.. = bin/
bin.includes = META-INF/,\
- .,\
plugin.properties,\
Tests/
diff --git a/lttng/org.eclipse.linuxtools.ctf.core/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.ctf.core/META-INF/MANIFEST.MF
index 31fc4870d7..882ca99d9b 100644
--- a/lttng/org.eclipse.linuxtools.ctf.core/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.ctf.core/META-INF/MANIFEST.MF
@@ -1,12 +1,16 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.ctf.core;singleton:=true
+Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.1.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.ctf.core;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.ctf.core.CtfCorePlugin
-Bundle-Vendor: %Bundle-Vendor
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Bundle-ActivationPolicy: lazy
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
+ org.antlr.runtime;bundle-version="3.2.0",
+ org.eclipse.linuxtools.ctf.parser;bundle-version="0.1.0"
Export-Package: org.eclipse.linuxtools.ctf.core,
org.eclipse.linuxtools.ctf.core.event,
org.eclipse.linuxtools.ctf.core.event.io,
@@ -14,6 +18,3 @@ Export-Package: org.eclipse.linuxtools.ctf.core,
org.eclipse.linuxtools.ctf.core.event.metadata.exceptions,
org.eclipse.linuxtools.ctf.core.event.types,
org.eclipse.linuxtools.ctf.core.trace
-Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
- org.antlr.runtime;bundle-version="3.2.0",
- org.eclipse.linuxtools.ctf.parser;bundle-version="0.1.0"
diff --git a/lttng/org.eclipse.linuxtools.ctf.parser/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.ctf.parser/META-INF/MANIFEST.MF
index a2de039c30..56773488b0 100644
--- a/lttng/org.eclipse.linuxtools.ctf.parser/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.ctf.parser/META-INF/MANIFEST.MF
@@ -1,9 +1,10 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.ctf.parser
-Bundle-Version: 0.1.0.qualifier
-Export-Package: org.eclipse.linuxtools.ctf.parser
Bundle-Vendor: %Bundle-Vendor
+Bundle-Version: 0.1.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.ctf.parser
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.antlr.runtime;bundle-version="3.0.0"
+Export-Package: org.eclipse.linuxtools.ctf.parser
diff --git a/lttng/org.eclipse.linuxtools.lttng.core.tests/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng.core.tests/META-INF/MANIFEST.MF
index d1f9096123..0ed93cd2c2 100644
--- a/lttng/org.eclipse.linuxtools.lttng.core.tests/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng.core.tests/META-INF/MANIFEST.MF
@@ -1,17 +1,17 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.lttng.core.tests
-Bundle-Version: 0.5.0.qualifier
Bundle-Vendor: %Bundle-Vendor
+Bundle-Version: 0.5.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.lttng.core.tests
+Bundle-Activator: org.eclipse.linuxtools.lttng.core.tests.LTTngCoreTestPlugin
+Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Import-Package: org.eclipse.linuxtools.lttng.jni
Require-Bundle: org.junit;bundle-version="3.8.2",
org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.core.resources;bundle-version="3.7.100",
org.eclipse.linuxtools.lttng.core;bundle-version="0.4.0",
org.eclipse.linuxtools.tmf.core;bundle-version="0.4.0",
org.eclipse.linuxtools.lttng.jni;bundle-version="0.4.0"
-Bundle-Localization: plugin
-Bundle-Activator: org.eclipse.linuxtools.lttng.core.tests.LTTngCoreTestPlugin
-Bundle-ActivationPolicy: lazy
-Import-Package: org.eclipse.linuxtools.lttng.jni
diff --git a/lttng/org.eclipse.linuxtools.lttng.core/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng.core/META-INF/MANIFEST.MF
index 99937154fd..17d1251468 100644
--- a/lttng/org.eclipse.linuxtools.lttng.core/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng.core/META-INF/MANIFEST.MF
@@ -1,18 +1,19 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.lttng.core;singleton:=true
+Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.5.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.lttng.core;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.internal.lttng.core.Activator
-Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.linuxtools.tmf.core;bundle-version="0.4.0",
org.eclipse.linuxtools.lttng.jni;bundle-version="0.4.0",
org.eclipse.rse.core;bundle-version="3.2.0",
org.eclipse.tm.tcf.core;bundle-version="0.4.0",
org.eclipse.core.resources;bundle-version="3.7.100"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Bundle-ActivationPolicy: lazy
Export-Package: org.eclipse.linuxtools.internal.lttng.core;x-friends:="org.eclipse.linuxtools.lttng.core.tests,org.eclipse.linuxtools.lttng.ui,org.eclipse.linuxtools.lttng.ui.tests",
org.eclipse.linuxtools.internal.lttng.core.control;x-friends:="org.eclipse.linuxtools.lttng.core.tests,org.eclipse.linuxtools.lttng.ui,org.eclipse.linuxtools.lttng.ui.tests",
org.eclipse.linuxtools.internal.lttng.core.event;x-friends:="org.eclipse.linuxtools.lttng.core.tests,org.eclipse.linuxtools.lttng.ui,org.eclipse.linuxtools.lttng.ui.tests",
@@ -35,4 +36,3 @@ Export-Package: org.eclipse.linuxtools.internal.lttng.core;x-friends:="org.eclip
org.eclipse.linuxtools.internal.lttng.core.tracecontrol.service;x-friends:="org.eclipse.linuxtools.lttng.core.tests,org.eclipse.linuxtools.lttng.ui,org.eclipse.linuxtools.lttng.ui.tests",
org.eclipse.linuxtools.internal.lttng.core.tracecontrol.utility;x-friends:="org.eclipse.linuxtools.lttng.core.tests,org.eclipse.linuxtools.lttng.ui,org.eclipse.linuxtools.lttng.ui.tests",
org.eclipse.linuxtools.internal.lttng.core.util;x-friends:="org.eclipse.linuxtools.lttng.core.tests,org.eclipse.linuxtools.lttng.ui,org.eclipse.linuxtools.lttng.ui.tests"
-Bundle-Localization: plugin
diff --git a/lttng/org.eclipse.linuxtools.lttng.help/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng.help/META-INF/MANIFEST.MF
index b2247bfcae..3e92423074 100644
--- a/lttng/org.eclipse.linuxtools.lttng.help/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng.help/META-INF/MANIFEST.MF
@@ -1,8 +1,8 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.lttng.help; singleton:=true
-Bundle-Version: 0.5.0.qualifier
Bundle-Vendor: %Bundle-Vendor
-Require-Bundle: org.eclipse.help;bundle-version="3.5.100"
+Bundle-Version: 0.5.0.qualifier
Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.lttng.help; singleton:=true
+Require-Bundle: org.eclipse.help;bundle-version="3.5.100"
diff --git a/lttng/org.eclipse.linuxtools.lttng.jni/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng.jni/META-INF/MANIFEST.MF
index c0b35c804a..24012edf88 100644
--- a/lttng/org.eclipse.linuxtools.lttng.jni/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng.jni/META-INF/MANIFEST.MF
@@ -1,8 +1,11 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.lttng.jni
+Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.5.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.lttng.jni
+Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Export-Package: org.eclipse.linuxtools.internal.lttng.jni.common;x-friends:="org.eclipse.linuxtools.lttng.core,org.eclipse.linuxtools.lttng.core.tests",
org.eclipse.linuxtools.internal.lttng.jni.exception;x-friends:="org.eclipse.linuxtools.lttng.core,org.eclipse.linuxtools.lttng.core.tests",
@@ -10,7 +13,4 @@ Export-Package: org.eclipse.linuxtools.internal.lttng.jni.common;x-friends:="org
org.eclipse.linuxtools.internal.lttng.jni_v2_5;x-internal:=true,
org.eclipse.linuxtools.lttng.jni;x-friends:="org.eclipse.linuxtools.lttng.core,org.eclipse.linuxtools.lttng.core.tests",
org.eclipse.linuxtools.lttng.jni.factory;x-friends:="org.eclipse.linuxtools.lttng.core,org.eclipse.linuxtools.lttng.core.tests"
-Bundle-Localization: plugin
-Bundle-Vendor: %Bundle-Vendor
Require-Bundle: org.eclipse.core.runtime
-
diff --git a/lttng/org.eclipse.linuxtools.lttng.ui.tests/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng.ui.tests/META-INF/MANIFEST.MF
index 2affce4755..cc65f59d48 100644
--- a/lttng/org.eclipse.linuxtools.lttng.ui.tests/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng.ui.tests/META-INF/MANIFEST.MF
@@ -1,10 +1,13 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.lttng.ui.tests
+Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.5.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.lttng.ui.tests
+Bundle-Activator: org.eclipse.linuxtools.lttng.ui.tests.LTTngUITestPlugin
+Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Bundle-Vendor: %Bundle-Vendor
Require-Bundle: org.junit;bundle-version="3.8.2",
org.eclipse.linuxtools.lttng.core;bundle-version="0.4.0",
org.eclipse.linuxtools.lttng.ui;bundle-version="0.4.0",
@@ -12,7 +15,3 @@ Require-Bundle: org.junit;bundle-version="3.8.2",
org.eclipse.ui;bundle-version="3.7.0",
org.eclipse.core.resources;bundle-version="3.7.0",
org.eclipse.core.runtime;bundle-version="3.7.0"
-Bundle-Localization: plugin
-Bundle-Activator: org.eclipse.linuxtools.lttng.ui.tests.LTTngUITestPlugin
-Bundle-ActivationPolicy: lazy
-
diff --git a/lttng/org.eclipse.linuxtools.lttng.ui/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng.ui/META-INF/MANIFEST.MF
index 5af50111c4..23ff9cd20a 100644
--- a/lttng/org.eclipse.linuxtools.lttng.ui/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng.ui/META-INF/MANIFEST.MF
@@ -1,10 +1,13 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.lttng.ui;singleton:=true
+Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.5.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.lttng.ui;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.internal.lttng.ui.Activator
-Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
org.eclipse.ui.ide;bundle-version="3.7.0",
org.eclipse.core.resources;bundle-version="3.7.100",
@@ -18,9 +21,6 @@ Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
org.eclipse.rse.subsystems.files.core;bundle-version="3.2.100",
org.eclipse.rse.ui;bundle-version="3.2.0",
org.eclipse.linuxtools.lttng.core;bundle-version="0.4.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Bundle-ActivationPolicy: lazy
-Bundle-Localization: plugin
Export-Package: org.eclipse.linuxtools.internal.lttng.ui;x-friends:="org.eclipse.linuxtools.lttng.ui.tests",
org.eclipse.linuxtools.internal.lttng.ui.model.trange;x-friends:="org.eclipse.linuxtools.lttng.ui.tests",
org.eclipse.linuxtools.internal.lttng.ui.tracecontrol;x-friends:="org.eclipse.linuxtools.lttng.ui.tests",
diff --git a/lttng/org.eclipse.linuxtools.lttng2.core.tests/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng2.core.tests/META-INF/MANIFEST.MF
index 178ef6aacc..66210b1922 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.core.tests/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng2.core.tests/META-INF/MANIFEST.MF
@@ -1,13 +1,13 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.core.tests
-Bundle-Version: 0.1.0.qualifier
Bundle-Vendor: %Bundle-Vendor
+Bundle-Version: 0.1.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.core.tests
+Bundle-Activator: org.eclipse.linuxtools.lttng2.core.tests.Activator
+Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.junit;bundle-version="3.8.2",
org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.core.resources;bundle-version="3.7.100"
-Bundle-Localization: plugin
-Bundle-Activator: org.eclipse.linuxtools.lttng2.core.tests.Activator
-Bundle-ActivationPolicy: lazy
diff --git a/lttng/org.eclipse.linuxtools.lttng2.core/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng2.core/META-INF/MANIFEST.MF
index 06c98079f1..893cd64275 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.core/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng2.core/META-INF/MANIFEST.MF
@@ -1,12 +1,12 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.core;singleton:=true
+Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.1.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.core;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.internal.lttng2.core.Activator
-Bundle-Vendor: %Bundle-Vendor
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.linuxtools.internal.lttng2.core;x-friends:="org.eclipse.linuxtools.lttng2.core.tests"
-Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0"
+Export-Package: org.eclipse.linuxtools.internal.lttng2.core;x-friends:="org.eclipse.linuxtools.lttng2.core.tests"
diff --git a/lttng/org.eclipse.linuxtools.lttng2.kernel.core.tests/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng2.kernel.core.tests/META-INF/MANIFEST.MF
index b23b5f2a51..dadc72da98 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.kernel.core.tests/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng2.kernel.core.tests/META-INF/MANIFEST.MF
@@ -1,15 +1,15 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.kernel.core.tests
-Bundle-Version: 0.1.0.qualifier
Bundle-Vendor: %Bundle-Vendor
+Bundle-Version: 0.1.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.kernel.core.tests
+Bundle-Activator: org.eclipse.linuxtools.lttng2.kernel.core.tests.Activator
+Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.junit;bundle-version="3.8.2",
org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.core.resources;bundle-version="3.7.100",
org.eclipse.linuxtools.lttng2.kernel.core;bundle-version="0.1.0",
org.eclipse.linuxtools.tmf.core;bundle-version="0.5.0"
-Bundle-Localization: plugin
-Bundle-Activator: org.eclipse.linuxtools.lttng2.kernel.core.tests.Activator
-Bundle-ActivationPolicy: lazy
diff --git a/lttng/org.eclipse.linuxtools.lttng2.kernel.core/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng2.kernel.core/META-INF/MANIFEST.MF
index 8d87338c60..08d0a4d003 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.kernel.core/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng2.kernel.core/META-INF/MANIFEST.MF
@@ -1,14 +1,14 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.kernel.core;singleton:=true
+Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.1.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.kernel.core;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.internal.lttng2.kernel.core.Activator
-Bundle-Vendor: %Bundle-Vendor
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.linuxtools.internal.lttng2.kernel.core;x-friends:="org.eclipse.linuxtools.lttng2.kernel.core.tests",
- org.eclipse.linuxtools.internal.lttng2.kernel.core.stateprovider;x-friends:="org.eclipse.linuxtools.lttng2.kernel.core.tests"
-Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.linuxtools.tmf.core;bundle-version="0.5.0"
+Export-Package: org.eclipse.linuxtools.internal.lttng2.kernel.core;x-friends:="org.eclipse.linuxtools.lttng2.kernel.core.tests",
+ org.eclipse.linuxtools.internal.lttng2.kernel.core.stateprovider;x-friends:="org.eclipse.linuxtools.lttng2.kernel.core.tests"
diff --git a/lttng/org.eclipse.linuxtools.lttng2.kernel.ui.tests/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng2.kernel.ui.tests/META-INF/MANIFEST.MF
index 612fe53d22..641847180f 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.kernel.ui.tests/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng2.kernel.ui.tests/META-INF/MANIFEST.MF
@@ -1,17 +1,16 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.kernel.ui.tests
+Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.1.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.kernel.ui.tests
+Bundle-Activator: org.eclipse.linuxtools.lttng2.kernel.ui.tests.Activator
+Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Bundle-Vendor: %Bundle-Vendor
Require-Bundle: org.junit;bundle-version="3.8.2",
org.eclipse.linuxtools.lttng2.core;bundle-version="0.1.0",
org.eclipse.linuxtools.lttng2.ui;bundle-version="0.1.0",
org.eclipse.core.resources;bundle-version="3.7.0",
- org.eclipse.core.runtime;bundle-version="3.7.0"
-Bundle-Localization: plugin
-Bundle-Activator: org.eclipse.linuxtools.lttng2.kernel.ui.tests.Activator
-Bundle-ActivationPolicy: lazy
-Import-Package: org.eclipse.ui.plugin
-
+ org.eclipse.core.runtime;bundle-version="3.7.0",
+ org.eclipse.ui;bundle-version="3.103.0"
diff --git a/lttng/org.eclipse.linuxtools.lttng2.kernel.ui/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng2.kernel.ui/META-INF/MANIFEST.MF
index 3d4961bd1a..7ac0a19127 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.kernel.ui/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng2.kernel.ui/META-INF/MANIFEST.MF
@@ -1,16 +1,15 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.kernel.ui;singleton:=true
+Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.1.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.kernel.ui;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.internal.lttng2.kernel.ui.Activator
-Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
org.eclipse.ui.ide;bundle-version="3.7.0",
org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.linuxtools.lttng2.core;bundle-version="0.1.0",
org.eclipse.linuxtools.tmf.ui;bundle-version="0.5.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Bundle-ActivationPolicy: lazy
-Bundle-Localization: plugin
-
diff --git a/lttng/org.eclipse.linuxtools.lttng2.ui.tests/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng2.ui.tests/META-INF/MANIFEST.MF
index 99227e83f9..ed7042c87a 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.ui.tests/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng2.ui.tests/META-INF/MANIFEST.MF
@@ -1,17 +1,16 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.ui.tests
+Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.1.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.ui.tests
+Bundle-Activator: org.eclipse.linuxtools.lttng2.ui.tests.Activator
+Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Bundle-Vendor: %Bundle-Vendor
Require-Bundle: org.junit;bundle-version="3.8.2",
org.eclipse.linuxtools.lttng2.core;bundle-version="0.1.0",
org.eclipse.linuxtools.lttng2.ui;bundle-version="0.1.0",
org.eclipse.core.resources;bundle-version="3.7.0",
- org.eclipse.core.runtime;bundle-version="3.7.0"
-Bundle-Localization: plugin
-Bundle-Activator: org.eclipse.linuxtools.lttng2.ui.tests.Activator
-Bundle-ActivationPolicy: lazy
-Import-Package: org.eclipse.ui.plugin
-
+ org.eclipse.core.runtime;bundle-version="3.7.0",
+ org.eclipse.ui;bundle-version="3.103.0"
diff --git a/lttng/org.eclipse.linuxtools.lttng2.ui/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng2.ui/META-INF/MANIFEST.MF
index 515a837612..e321572930 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.ui/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng2.ui/META-INF/MANIFEST.MF
@@ -1,17 +1,16 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.ui;singleton:=true
+Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.1.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.ui;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.internal.lttng2.ui.Activator
-Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
org.eclipse.ui.ide;bundle-version="3.7.0",
org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.linuxtools.lttng2.core;bundle-version="0.1.0",
org.eclipse.linuxtools.tmf.ui;bundle-version="0.5.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Bundle-ActivationPolicy: lazy
-Bundle-Localization: plugin
Export-Package: org.eclipse.linuxtools.internal.lttng2.ui;x-friends:="org.eclipse.linuxtools.lttng2.ui.tests"
-
diff --git a/lttng/org.eclipse.linuxtools.tmf.core.tests/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.tmf.core.tests/META-INF/MANIFEST.MF
index 69f2668957..ea7f307869 100644
--- a/lttng/org.eclipse.linuxtools.tmf.core.tests/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.tmf.core.tests/META-INF/MANIFEST.MF
@@ -1,15 +1,15 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.tmf.core.tests;singleton:=true
+Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.5.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.tmf.core.tests;singleton:=true
+Bundle-Activator: org.eclipse.linuxtools.tmf.core.tests.TmfCoreTestPlugin
+Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Bundle-Vendor: %Bundle-Vendor
Require-Bundle: org.junit;bundle-version="3.8.2",
org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.core.resources;bundle-version="3.7.100",
org.eclipse.linuxtools.tmf.core;bundle-version="0.4.0"
-Bundle-Localization: plugin
-Bundle-ActivationPolicy: lazy
-Bundle-Activator: org.eclipse.linuxtools.tmf.core.tests.TmfCoreTestPlugin
Export-Package: org.eclipse.linuxtools.tmf.stubs.trace;x-friends:="org.eclipse.linuxtools.tmf.ui.tests"
diff --git a/lttng/org.eclipse.linuxtools.tmf.core/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.tmf.core/META-INF/MANIFEST.MF
index bf6356a56b..2060c1acc0 100644
--- a/lttng/org.eclipse.linuxtools.tmf.core/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.tmf.core/META-INF/MANIFEST.MF
@@ -1,15 +1,17 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.tmf.core;singleton:=true
+Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.5.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.tmf.core;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.tmf.core.TmfCorePlugin
-Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.core.resources;bundle-version="3.7.100",
- org.eclipse.linuxtools.ctf.core;bundle-version="0.1.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Bundle-ActivationPolicy: lazy
+ org.eclipse.linuxtools.ctf.core;bundle-version="0.1.0",
+ org.eclipse.core.filesystem;bundle-version="1.3.200"
Export-Package: org.eclipse.linuxtools.tmf.core,
org.eclipse.linuxtools.tmf.core.component,
org.eclipse.linuxtools.tmf.core.ctfadaptor,
@@ -30,5 +32,3 @@ Export-Package: org.eclipse.linuxtools.tmf.core,
org.eclipse.linuxtools.tmf.core.trace,
org.eclipse.linuxtools.tmf.core.uml2sd,
org.eclipse.linuxtools.tmf.core.util
-Bundle-Localization: plugin
-Import-Package: org.eclipse.core.filesystem.provider
diff --git a/lttng/org.eclipse.linuxtools.tmf.ui.tests/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.tmf.ui.tests/META-INF/MANIFEST.MF
index 5d528ae6f2..df1b29cbfb 100644
--- a/lttng/org.eclipse.linuxtools.tmf.ui.tests/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.tmf.ui.tests/META-INF/MANIFEST.MF
@@ -1,9 +1,12 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.tmf.ui.tests;singleton:=true
-Bundle-Version: 0.5.0.qualifier
Bundle-Vendor: %Bundle-Vendor
+Bundle-Version: 0.5.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.tmf.ui.tests;singleton:=true
+Bundle-Activator: org.eclipse.linuxtools.tmf.ui.tests.TmfUITestPlugin
+Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.junit;bundle-version="3.8.2",
org.eclipse.ui;bundle-version="3.7.0",
@@ -11,6 +14,3 @@ Require-Bundle: org.junit;bundle-version="3.8.2",
org.eclipse.linuxtools.tmf.core;bundle-version="0.4.0",
org.eclipse.linuxtools.tmf.ui;bundle-version="0.4.0",
org.eclipse.linuxtools.tmf.core.tests;bundle-version="0.4.0"
-Bundle-Localization: plugin
-Bundle-Activator: org.eclipse.linuxtools.tmf.ui.tests.TmfUITestPlugin
-Bundle-ActivationPolicy: lazy
diff --git a/lttng/org.eclipse.linuxtools.tmf.ui/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.tmf.ui/META-INF/MANIFEST.MF
index 4f14397878..bdd5e24477 100644
--- a/lttng/org.eclipse.linuxtools.tmf.ui/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.tmf.ui/META-INF/MANIFEST.MF
@@ -1,10 +1,13 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.linuxtools.tmf.ui;singleton:=true
+Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.5.0.qualifier
+Bundle-Localization: plugin
+Bundle-SymbolicName: org.eclipse.linuxtools.tmf.ui;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.tmf.ui.TmfUiPlugin
-Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
org.eclipse.ui.ide;bundle-version="3.7.0",
org.eclipse.core.resources;bundle-version="3.7.100",
@@ -14,8 +17,6 @@ Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
org.eclipse.ui.navigator;bundle-version="3.5.100",
org.eclipse.ui.navigator.resources;bundle-version="3.4.300",
org.eclipse.core.expressions
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Bundle-ActivationPolicy: lazy
Export-Package: org.eclipse.linuxtools.tmf.ui,
org.eclipse.linuxtools.tmf.ui.editors,
org.eclipse.linuxtools.tmf.ui.project.model,
@@ -48,4 +49,3 @@ Export-Package: org.eclipse.linuxtools.tmf.ui,
org.eclipse.linuxtools.tmf.ui.views.uml2sd.preferences,
org.eclipse.linuxtools.tmf.ui.views.uml2sd.util,
org.eclipse.linuxtools.tmf.ui.widgets
-Bundle-Localization: plugin

Back to the top